.header {
    z-index: 1000;
    background: #eee;
    position: relative;

    &__row {
        height: rem(90);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
        margin-left: rem(15);
    }


    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(lg) {

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: rem(24);
    height: rem(16);
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        height: 1px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 3px;
        background-color: black;
    }

    span {
        top: 50%;
        width: 100%;
    }

    &:after {
        top: 0;
        width: 70%;
    }

    &:before {
        top: 100%;
        width: 80%;
    }

    &.hamburger--open {

    }
}

.nav-open {

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(8px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-8px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }
}
